[Mailman-Users] Mailman installation on Solaris 10 crashes

vancleef at lostwells.net vancleef at lostwells.net
Fri Feb 2 07:25:47 CET 2007

A couple of weeks ago there were two or three posts about Mailman
crashing on install of the Japanese and Korean Codecs.  I swapped some
offlist E-mails with Barry Sapiro and told him that I would
investigate this for him when I did a fresh install of Solaris 10 
on a box to be used as a Mailman mail server.

Accordingly, this afternoon I did a default Jumpstart install of 
the Solaris 10 "entire package" on an Ultra 60 and added a gcc 3.3
development system from a Solaris Software Companion disk.  One 
additional item was to set the install default path to pick up 
needed directories that are not included in the Solaris base install.


The last three directories in that order are significant.  

I did a build and install of Python 2.5 in /usr/local, and configured
Mailman with the needed mail and cgi gid statments, then ran a make.

Make install failed.  The key section in the installation output is

    (cd ./$p ; umask 02 ; PYTHONPATH=/usr/local/mailman/pythonlib
ython setup.py --quiet install --install-lib
/usr/local/mailman/pythonlib  --ins
tall-purelib /usr/local/mailman/pythonlib  --install-data
honlib); \
/usr/sfw/lib/python2.3/distutils/dist.py:213: UserWarning: 'licence'
distribution option is deprecated; use 'license'
/usr/ucb/cc:  language optional software package not installed
error: command '/usr/sfw/lib/python2.3/pycc' failed with exit status 1
*** Error code 1
make: Fatal error: Command failed for target `install-packages'
Current working directory /usr/local/src/mailman-2.1.9/misc

WHOOPS!  What is with the very clear "/opt/sfw/lib/python2.3" when I
just installed 2.5 and put it in /usr/local/bin?  

Yes, Sun has included an older version of Python in the Solaris 10
distribution.  To build and install with a locally-built Python, 
you have to put --with-python=/path/to/python as a flag to the
configure script.  Doing so produced a clean make and install.

Note that while the fact that the wrong version of Python is not
clearly evident until the installation crashes, the make step is also
done with the same version.  

As of this writing, I don't know what issues this raises for Mailman
at runtime.  Nor do I know what issues are raised if the offending 
packages are removed.  The actual version reported is 2.3.3, and
pkginfo includes the notation GNOME, so the runtime, at least, has
some involvement if you are using the gnome desktop.  

An additional (and very well-known) Solaris "gotcha" is the error line

/usr/ucb/cc:  language optional software package not installed

Evidently, the Solaris Python looks for a "cc" in the path.
/usr/ucb/cc is simply a stub that most Solaris sysadmins rename or
move after installation.  The Sun Studio 11 native compiler is
probably compatible with it, but there is still the objection to 
using an older Python.  


More information about the Mailman-Users mailing list